Get all open production orders
curl --request GET \
--url https://api.bold-factory.com/v1/production/orders/open \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bold-factory.com/v1/production/orders/open"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bold-factory.com/v1/production/orders/open', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "<string>",
"externalReference": "<string>",
"code": "<string>",
"skuId": "<string>",
"sku": {
"id": "<string>",
"externalReference": "<string>",
"code": "<string>",
"name": "<string>",
"status": "<string>",
"productId": "<string>",
"managesLots": true,
"unit": {
"id": "<string>",
"code": "<string>",
"name": "<string>"
},
"displayDecimalPlaces": 123
},
"requestId": "<string>",
"relatedId": "<string>",
"requester": "<string>",
"recipeId": "<string>",
"recipe": {
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"recipeId": "<string>",
"productId": "<string>",
"recipe": {
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"productId": "<string>",
"product": {
"id": "<string>",
"code": "<string>",
"name": "<string>",
"externalReference": "<string>"
},
"conditionFormula": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
},
"obsoleteRecipe": true,
"plannedQuantity": 123,
"completedQuantity": 123,
"rejectedQuantity": 123,
"notes": "<string>",
"requiredAvailability": {
"time": "2023-11-07T05:31:56Z"
},
"plannedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"cancelledAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"targetedAt": "2023-11-07T05:31:56Z",
"stockExpectedAt": "2023-11-07T05:31:56Z",
"plannedDurationSeconds": 123,
"plannedManpowerSeconds": 123,
"completedWorkloadSeconds": 123,
"completedDurationSeconds": 123,
"netScheduledSeconds": 123,
"netOperatingSeconds": 123,
"realManpowerSeconds": 123,
"completionPercent": 123,
"availability": 123,
"efficiency": 123,
"productivity": 123,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>"
}
],
"totalCount": 123
}{
"type": "https://api.bold-factory.com/errors/FILTER_PARSING_FAILED",
"title": "Filter parsing failed",
"status": 400,
"detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
"instance": "POST /v1/items/products/search",
"code": "FILTER_PARSING_FAILED"
}{
"type": "https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "You are not authenticated.",
"instance": "GET /v1/items/skus"
}{
"type": "https://api.bold-factory.com/errors/MISSING_PERMISSIONS",
"title": "Missing permissions",
"status": 403,
"detail": "Missing permissions: Items.Products.Read",
"instance": "GET /v1/maintenance/assets",
"code": "MISSING_PERMISSIONS"
}Production Orders
Get all open production orders
Requires Production.Orders.Read permissions
GET
/
v1
/
production
/
orders
/
open
Get all open production orders
⌘I